> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Http Connector Config

> Validate an HTTP connector configuration and return any diagnostics or errors found.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/apps/connectors/validate_config/http
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/connectors/validate_config/http:
    post:
      tags:
        - Connector
      summary: Validate Http Connector Config
      description: >-
        Validate an HTTP connector configuration and return any diagnostics or
        errors found.
      operationId: c1.api.app.v1.ConnectorService.ValidateHTTPConnectorConfig
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/c1.api.app.v1.EditorValidateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/c1.api.app.v1.EditorValidateResponse'
          description: The EditorValidateResponse message contains validation results.
      x-codeSamples:
        - lang: go
          label: ValidateHTTPConnectorConfig
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Connector.ValidateHTTPConnectorConfig(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.EditorValidateResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.connector.validateHTTPConnectorConfig();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v1.EditorValidateRequest:
      description: >-
        The EditorValidateRequest message contains the configuration text to
        validate.
      properties:
        text:
          description: The configuration text to validate.
          readOnly: false
          type: string
      title: Editor Validate Request
      type: object
      x-speakeasy-name-override: EditorValidateRequest
    c1.api.app.v1.EditorValidateResponse:
      description: The EditorValidateResponse message contains validation results.
      properties:
        markers:
          description: The list of diagnostic markers found during validation.
          items:
            $ref: '#/components/schemas/c1.api.editor.v1.EditorMarker'
          nullable: true
          readOnly: true
          type: array
      title: Editor Validate Response
      type: object
      x-speakeasy-name-override: EditorValidateResponse
    c1.api.editor.v1.EditorMarker:
      description: The EditorMarker message.
      properties:
        endColumn:
          description: The endColumn field.
          format: int32
          readOnly: false
          type: integer
        endLineNumber:
          description: The endLineNumber field.
          format: int32
          readOnly: false
          type: integer
        message:
          description: The message field.
          readOnly: false
          type: string
        severity:
          description: The severity field.
          enum:
            - UNKNOWN
            - HINT
            - INFO
            - WARNING
            - ERROR
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        startColumn:
          description: The startColumn field.
          format: int32
          readOnly: false
          type: integer
        startLineNumber:
          description: The startLineNumber field.
          format: int32
          readOnly: false
          type: integer
      title: Editor Marker
      type: object
      x-speakeasy-name-override: EditorMarker
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````